# sf::WindowListener Class Reference

Base class for classes that want to receive events from a window (for internal use only). More...

`#include <WindowListener.hpp>`

Inheritance diagram for sf::WindowListener:

List of all members.

## Public Member Functions

virtual void | OnEvent (const Event &EventReceived)=0
| Called each time an event is received from attached window.

## Protected Member Functions

virtual | ~WindowListener ()
| Destructor.

## Detailed Description

Base class for classes that want to receive events from a window (for internal use only).

Definition at line 42 of file WindowListener.hpp.

## Constructor & Destructor Documentation

virtual sf::WindowListener::~WindowListener | ( |  | ) | `[inline, protected, virtual]`

Destructor.

Definition at line 60 of file WindowListener.hpp.

## Member Function Documentation

virtual void sf::WindowListener::OnEvent | ( | const Event & | EventReceived | ) | `[pure virtual]`

Called each time an event is received from attached window.

Parameters:

  | EventReceived | : Event received

The documentation for this class was generated from the following file:

- WindowListener.hpp